// src/plugin.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "config.h"

#include "plugin.hh"
#include "xml_serializer.hh"

using namespace sgpem;

sgpem::XMLSerializer* _serializer = NULL;

void
sgpem__Plugin__on_init()
{
  if (_serializer == NULL)
    _serializer = new sgpem::XMLSerializer();
}

void
sgpem__Plugin__on_exit()
{
  delete _serializer;
  _serializer = NULL;
}

const char*
sgpem__Plugin__describe()
{
  return "This plugin saves the simulation to an XML file";
}

const char*
sgpem__Plugin__get_name()
{
  return "XmlSave";
}

const char*
sgpem__Plugin__get_author()
{
  return "Copyright 2005, 2006, University of Padova, dept. of Pure and Applied Mathematics";
}

float
sgpem__Plugin__get_version()
{
  return 1.0f;
}

